# $Revision: 1.6 $, $Date: 2008/10/03 17:52:50 $
Summary:	Python support for libextractor
Summary(pl.UTF-8):	Moduł języka Python dla biblioteki libextractor
Name:		python-libextractor
Version:	0.5.4
Release:	2
License:	GPL
Group:		Libraries/Python
Source0:	http://gnunet.org/libextractor/download/libextractor-python-%{version}.tar.gz
# Source0-md5:	fbe72b00b8780b528892274b96c9d40f
Patch0:		libextractor-python-destdir.patch
URL:		http://gnunet.org/libextractor/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libextractor-devel >= %{version}
BuildRequires:	python-devel >= 1:2.3
Requires:	libextractor >= %{version}
%pyrequires_eq	python-libs
Obsoletes:	python-extractor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python support for libextractor.

%description -l pl.UTF-8
Moduł języka Python dla biblioteki libextractor.

%prep
%setup -q -n libextractor-python-%{version}
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--with-extractor=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-libextractor.spec,v $
Revision 1.6  2008/10/03 17:52:50  arekm
- release 2

Revision 1.5  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2005/08/29 20:22:58  qboosh
- updated to 0.5.4, updated destdir patch

Revision 1.2  2005/08/15 18:50:40  qboosh
- oops, Obsoletes: python-extractor

Revision 1.1  2005/08/15 10:44:48  qboosh
- separated from libextractor.spec
